﻿@{
    ViewData["Title"] = "AndonFactoryTv";
}
<html>
<head>
    <title>Tegra| Alerta de abastecimiento</title>
    <link href="~/assets/vendors/base/vendors.bundle.css" rel="stylesheet" type="text/css"/>
    <link href="~/assets/base/style.bundle.css" rel="stylesheet" type="text/css"/>
    <link href="~/tegra.css" rel="stylesheet" type="text/css"/>
    <link href="~/assets/css/spinner.css" rel="stylesheet" type="text/css"/>

    <link href="~/assets/css/Site.css" rel="stylesheet"/>
    <link rel="shortcut icon" href="~/assets/favicon.ico"/>
    <style>
        body {
            font-family: Roboto;
            font-weight: 400;
        }

        .timer {
            position: absolute;
            z-index: 101;
            bottom: 0;
            left: 0;
            right: 0;
            background: #dd5608;
            text-align: center;
            line-height: 2.5;
            overflow: hidden;
            -webkit-box-shadow: 0 0 5px black;
            -moz-box-shadow: 0 0 5px black;
            box-shadow: 0 0 5px black;
            color: white;
            font-size: 30px;
            display: none;
        }

        .timer.active {
            display: block;
            -webkit-animation-name: fadeIn;
            -webkit-animation-duration: 0.6s;
            -webkit-animation-timing-function: ease-in-out;
            -webkit-animation-direction: alternate;
        }

        .layoutJSON {
            background: #ddd;
            border: 1px solid black;
            margin-top: 10px;
            padding: 10px;
        }

        .eventsJSON {
            background: #ddd;
            border: 1px solid black;
            margin-top: 10px;
            padding: 10px;
            height: 100px;
            overflow-y: scroll;
        }

        .columns {
            -moz-columns: 120px;
            -webkit-columns: 120px;
            columns: 120px;
        }

        .vue-grid-item:not(.vue-grid-placeholder) { border-radius: 10px; }

        .vue-grid-item.resizing { opacity: 0.9; }

        .vue-grid-item.static { background: #cce; }

        .blink {
            text-decoration: blink;
            -webkit-animation-name: blinker;
            -webkit-animation-duration: 0.6s;
            -webkit-animation-iteration-count: 12;
            -webkit-animation-timing-function: ease-in-out;
            -webkit-animation-direction: alternate;
        }

        .vue-grid-item .text {
            font-size: 1.5vw;
            font-weight: bold;
            text-align: center;
            position: absolute;
            top: 0;
            bottom: 10;
            left: 0;
            right: 0;
            margin: auto;
            height: 24px;
            padding-top: 0.2vw;
            color: #ffffff;
        }

        .vue-grid-item .building-tag {
            width: 5%;
            height: 50%;
            float: right;
            position: relative;
            margin-top: 10%;
            border-top-left-radius: 4px;
            border-bottom-left-radius: 4px;
        }

        .pl-one { background-color: #4285F4; }

        .pl-two { background-color: #b9ffb4; }

        .pl-three { background-color: #0F9D58; }

        .pl-four { background-color: #ff6262; }

        .pl-five { background-color: #a292ff; }


        .pl-six { background-color: #a985d1; }

        .pl-seven { background-color: #59d0ef; }

        .pl-eight { background-color: #9b9696; }

        .pl-nine { background-color: #fab786; }


        .pl-ten { background-color: #ff6d4c; }

        .vue-grid-item.pl-workless { background-color: darkgrey !important; }

        .vue-grid-item.pl-warning { background-color: #f78624 !important; }

        .vue-grid-item.pl-alert { background-color: #d83f45 !important; }

        .vue-grid-item.pl-complete { background-color: #6ed46ead !important; }

        .vue-grid-item .minMax { font-size: 12px; }

        .vue-grid-item .add { cursor: pointer; }

        .pl-legend {
            list-style: none;
            margin-top: -21px;
        }

        .pl-legend li {
            float: left;
            color: white;
            padding-left: 28px;
            font-size: 15px;
            margin-top: 8px;
        }

        .comment-text {
            font-size: 1.6vw;
            color: white;
            position: absolute;
            margin-top: 2vw;
            margin-left: 2vw;
            text-align: center;
        }

        .text-style {
            font-size: 1vw;
            color: white;
            font-weight: bold;
            position: absolute;
            margin-left: 3.5vw;
            text-align: center;
        }

        .text-comment {
            font-size: 1.4vw;
            color: white;
            font-weight: bold;
            position: absolute;
            margin-top: 2vw;
            margin-left: 1vw;
            text-align: center;
        }

        .pl-legend li .pl-badge {
            width: 15px;
            height: 15px;
            position: absolute;
            margin-top: 3px;
            margin-left: -24px;
            border-radius: 1px;
        }

        .fade-enter-active, .fade-leave-active { transition: opacity 1s; }

        .fade-enter, .fade-leave-to /* .fade-leave-active below version 2.1.8 */ { opacity: 0; }

        @@-webkit-keyframes fadeIn {
            from { opacity: 0; }

            to { opacity: 1; }
        }

        @@-webkit-keyframes blinker {
            from { opacity: 1.0; }

            to { opacity: 0.0; }
        }

        .fill-div {
            display: block;
            height: 100%;
            width: 100%;
            text-decoration: none;
        }

        #alert-button {
            background-color: #d83f45;
            border: none;
            color: white;
            padding: 16px 32px;
            text-align: center;
            font-size: 16px;
            margin: 4px 2px;
            transition: 0.3s;
            display: inline-block;
            text-decoration: none;
            cursor: pointer;
            border-radius: 12px;
        }

        #complete-alert-button {
            background-color: green;
            border: none;
            color: white;
            padding: 16px 32px;
            text-align: center;
            font-size: 16px;
            margin: 4px 2px;
            transition: 0.3s;
            display: inline-block;
            text-decoration: none;
            cursor: pointer;
            border-radius: 12px;
        }

        #warning-alert-button {
            background-color: #f78624;
            border: none;
            color: white;
            padding: 16px 32px;
            text-align: center;
            font-size: 16px;
            margin: 4px 2px;
            transition: 0.3s;
            display: inline-block;
            text-decoration: none;
            cursor: pointer;
            border-radius: 12px;
        }

        #complete-alert-button {
            background-color: #0f9d58;
            border: none;
            color: white;
            padding: 16px 32px;
            text-align: center;
            font-size: 16px;
            margin: 4px 2px;
            transition: 0.3s;
            display: inline-block;
            text-decoration: none;
            cursor: pointer;
            border-radius: 12px;
        }

        #workless-button {
            background-color: darkgrey;
            border: none;
            color: white;
            padding: 16px 32px;
            text-align: center;
            font-size: 16px;
            margin: 4px 2px;
            transition: 0.3s;
            display: inline-block;
            text-decoration: none;
            cursor: pointer;
            border-radius: 12px;
        }

        input[type=text], select {
            width: 100%;
            padding: 12px 20px;
            margin: 8px 0;
            display: inline-block;
            border: 1px solid #ccc;
            border-radius: 4px;
            box-sizing: border-box;
        }

        input[type=dropdown], select {
            width: 100%;
            padding: 5px 11px;
            display: inline-block;
            border: 1px solid #ccc;
            border-radius: 4px;
            box-sizing: border-box;
            font-size: 20px
        }

        input[type=submit]:hover { background-color: #45a049; }

        #selection-label-factory {
            color: aliceblue;
            font-weight: 800;
            margin-left: 3vw;
            font-size: 20px;
        }

        #selection-label-process {
            color: aliceblue;
            font-weight: 800;
            font-size: 20px;
        }

        #selection-input-factory {
            margin-left: 1vw;
            border-radius: 7px;
        }

        #selection-input-process {
            margin-left: 1vw;
            border-radius: 7px
        }

        #get-button {
            background-color: #45a049;
            color: white;
            padding: 2px 32px;
            text-align: center;
            font-size: 16px;
            margin: 4px 2px;
            transition: 0.3s;
            display: inline-block;
            text-decoration: none;
            cursor: pointer;
            border-radius: 12px;
            margin-left: 1vw;
        }

        #andon-layout {
            /* 25% of viewport */
            width: 100%;
            background-color: #666;
            color: #eee;
            font-family: monospace;
            padding: 2rem;
        }

        .autocomplete-input {
            border: 1px solid black;
        }

        .autocomplete-input:hover,
        .autocomplete-input:active{
            border: 1px solid red;
        }
    </style>

</head>
<body style="background: #666; padding-top: 0;">
<audio id="audio" src="/assets/sounds/tv_production_alarm3.mp3"></audio>
<audio id="audio-27-calle" src="/assets/sounds/Alarma_27_calle.mp3"></audio>

<div id="app" class="col-12" style="padding: 0 !important">
    <div class="m-grid__item m-grid__item--fluid m-grid m-grid--ver-desktop m-grid--desktop m-body" style="background: #666; margin-top: -5vw;">
        <div class="m-portlet__body form" style="width: 98vw; height: 100vh;">
            <div style="margin-top: 4vw">
                <div class="tab-content">
                    <div class="tab-pane active">
                        <div class="col-12">
                            <img class="rounded mx-auto d-block" src="~/assets/media/img/Tegra_LogoHorizontal_White.png" width="200"/>
                        </div>
                        <div class="m-widget12 row ">
                            <div class="col-6" style="text-align: center">
                                <label id="selection-label-factory">Factory</label>
                                <select v-model="factories.selected" v-on:change="showAndon">
                                    <option value="" disabled selected hidden>Select Factory</option>
                                    <option v-for="(factory, index) in factories.data" :value="factory.id" :key="factory.factoryName">{{factory.name}}</option>
                                </select>
                            </div>
                            <div class="col-6" style="text-align: center">
                                <label id="selection-label-process">Process</label>
                                <select v-model="process.selected" v-on:change="showAndon">
                                    <option value="" disabled selected hidden>Select Process</option>
                                    <option v-for="(proces, index) in process.data" :value="proces.id" :key="proces.name">{{proces.name}}</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div>
                    <div v-if="loading" style="margin-top: 12vw" class="sk-cube-grid">
                        <div class="sk-cube sk-cube1"></div>
                        <div class="sk-cube sk-cube2"></div>
                        <div class="sk-cube sk-cube3"></div>
                        <div class="sk-cube sk-cube4"></div>
                        <div class="sk-cube sk-cube5"></div>
                        <div class="sk-cube sk-cube6"></div>
                        <div class="sk-cube sk-cube7"></div>
                        <div class="sk-cube sk-cube8"></div>
                        <div class="sk-cube sk-cube9"></div>
                        <p style="color: white">Loading</p>
                    </div>
                    <div>
                        <h1 v-if="factories.selected=='' && process.selected==''" style="margin-top: 11vw; margin-left: 35vw; color: white">Please select Factory and Process</h1>
                    </div>
                    <h1 v-if="layout <= 0 && factories.selected != '' && process.selected != '' && loading==false" style="margin-top: 11vw; margin-left: 43vw; color: white">No lines register. </h1>
                    <div id="andon-layout" class="col-12" style="background: #666;">
                        <sweet-modal ref="modal" overlay-theme="dark" v-on:close="resetModal" width="20%">

                            <div style="text-align: center; margin-top: 1vw">
                                <h2 style="color: black">Production Line</h2>
                                <h2 style="color: black">{{editingLine.name}}</h2>
                                <h4 v-if="editingLine.alert==''|| editingLine.alert==2" style="margin-top: 1vw; color: black">Comment</h4>
                                <vue-simple-suggest 
                                    v-if="editingLine.alert==''|| editingLine.alert==2"
                                    v-model="line.Comment"
                                    :list="reasonAlert.data"
                                    maxlength="6"
                                    :min-length="1"
                                    display-attribute="name"
                                    value-attribute="code"
                                    :filter-by-query="true"
                                    :styles="autoCompleteStyle"
                                    :destyled="true"/>
                            </div>
                            <div style="text-align: center; margin-top: 1vw">
                                <button v-if="editingLine.alert!=='' " id="complete-alert-button" v-on:click="completeAlert">Complete</button>
                                <button v-if="editingLine.alert==''" id="warning-alert-button" v-on:click="alertLine(2)">Warning</button>
                                <button v-if="editingLine.alert=='' || editingLine.alert==2  " id="alert-button" v-on:click="alertLine(1)">Alert</button>
                                <button id="workless-button" v-if="editingLine.alert==''" v-on:click="alertLine(3)">Workless</button>
                            </div>
                        </sweet-modal>
                        <grid-layout v-if="layout" :layout.sync="layout"
                                     :col-num.sync="nCols"
                                     :row-height.sync="side"
                                     :is-draggable="false"
                                     :is-resizable="false"
                                     :vertical-compact="true"
                                     :margin="[10, 10]"
                                     :use-css-transforms="true">
                            <grid-item class="align-content-center" v-bind:class="style(item)" v-for="item in layout" v-bind:key="item.id"
                                       :x.sync="item.x"
                                       :y.sync="item.y"
                                       :w.sync="item.w"
                                       :h.sync="item.h"
                                       :i.sync="item.i">
                                <a  v-on:click="modal(item)" class="fill-div">
                                    <div v-bind:class="getColor(item.building)" class="building-tag"></div>
                                    <div v-if="item.alert!==null">
                                        <div v-if="item.alert.comment !== '' && item.alert.comment !== null">
                                            <transition name="fade" mode="out-in">
                                                <div v-if="flag">
                                                    <label class="text" style="font-size: 14px; margin-top: 0.8vw; font-size: 1vw" :class="{'text-comment':flag }">
                                                        {{item.alert.comment ?item.alert.comment.substring(0,6): item.name}}
                                                    </label>
                                                </div>
                                                <label v-else class="text">{{item.name}}</label>
                                            </transition>
                                        </div>
                                        <label v-else class="text">{{item.name}}</label>
                                    </div>
                                    <label v-else class="text">{{item.name}}</label>
                                </a>
                            </grid-item>
                        </grid-layout>
                        <div v-if="layout.length>0 ">
                            <ul class="pl-legend">
                                <li style="margin-left: 3vw; margin-top: 0.5vw" class="" v-for="alert in alertType">
                                    <div class="pl-badge" v-bind:style="{background:alert.color}"></div>
                                    <p style="margin-left: 1vw; font-size: 20px">{{alert.name}}</p>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <timer start="10" increment="10" @@time-out="tryConnect"></timer>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="~/lib/signalr/dist/browser/signalr.js"></script>
<script src="~/lib/vue/dist/vue.js"></script>
<script src="~/lib/vue-grid-layout/dist/vue-grid-layout.umd.js"></script>
<script src="~/lib/axios/dist/axios.js"></script>
<script src="~/lib/vue-modal/sweet-modal.umd.js"></script>
<script type="text/javascript" src="~/lib/vue-suggestions/vue-suggest.js"></script>

<script>

    var GridLayout = VueGridLayout.GridLayout;
    var GridItem = VueGridLayout.GridItem;
    var colors = [
        "pl-two", "pl-four", "pl-five", "pl-six", "pl-seven", "pl-eight", "pl-nine", "pl-ten"
    ];
    var ConnectionEventBus = new Vue();
    var Timer = {
        template: `<div class='timer' v-bind:class='{active: isRunning}' >
                Conexión con el servidor perdida intentando contectar en
             <b>{{time}} segundos</b>
            </div>`,
        props: ["start", "increment"],
        data: function() {
            return {
                timer: null,
                isRunning: false,
                time: 0,
                initialStart: 0
            };
        },
        mounted: function() {
            this.initialStart = this.start;
            ConnectionEventBus.$on("disconnected", this.startTimer);
            ConnectionEventBus.$on("connected", this.stopTimer);
        },
        methods: {
            startTimer: function() {
                var self = this;
                self.time = self.start;
                self.initialStart = self.start;
                self.isRunning = true;
                self.timer = setInterval(function() {
                        if (self.time > 0) {
                            self.time--;
                        } else {
                            self.$emit("time-out");
                            self.initialStart = parseInt(self.initialStart) + parseInt(self.increment);
                            self.time = self.initialStart;
                        }
                    },
                    1000);
            },
            stopTimer: function() {
                clearInterval(this.timer);
                this.isRunning = false;
            },
            callFinish() {

            }
        }
    };

    window.vm = new Vue({
        el: '#app',
        components: {
            GridLayout,
            GridItem,
            Timer,
            VueSimpleSuggest,
            SweetModal
        },
        data: function() {
            return {
                layout: [],
                nCols: 1,
                connection: null,
                side: 1,
                buildings: [],
                flag: false,
                loading: false,
                factories: {
                    data: [],
                    selected: '',
                    selectedName: ''
                },
                process: {
                    data: [],
                    selected: '',
                    selectedName: ''
                },
                editingLine: {
                    name: '',
                    building: '',
                    operator: '',
                    alert: ''
                },
                line: {
                    ProductionLineId: '',
                    TypeId: '',
                    FactoryId: '',
                    ProcessId: '',
                    Comment: null
                },
                alertId: {
                    alert: ''
                },
                alertType: [
                    { name: "Warning", color: "#f78624" },
                    { name: "Alert", color: "#d83f45" },
                    { name: "Workless", color: "darkgrey" }
                ],
                reasonAlert: {
                    data: [],
                    selectedReason: ''
                },
                autoCompleteStyle: {
                    vueSimpleSuggest: "position-relative",
                    inputWrapper: "",
                    defaultInput: "form-control text-dark autocomplete-input autocomplete-input:hover,autocomplete-input:active",
                    suggestions: "position-absolute list-group z-1000 text-dark",
                    suggestItem: "list-group-item text-dark"
                }
            };
        },
        mounted: function() {
            this.startTransition();
        },
        created: function() {
            this.getFactoryAndProcess();
            this.getReasonsAlert();
        },
        computed: {},
        ready: function() {
            var vm = this;
        },
        methods: {
            showAndon() {
                if (this.factories.selected && this.process.selected) {
                    this.loading = true;
                    this.$nextTick(() => {
                        this.layout = [];
                        this.getProductionLines();
                        this.line.FactoryId = this.factories.selected;
                        this.line.ProcessId = this.process.selected;
                        this.suscribeSignalR();
                    });
                    vm.$forceUpdate();
                }
            },
            suscribeSignalR() {
                this.connection = new signalR
                    .HubConnectionBuilder()
                    .withUrl("/andon/alerts")
                    .configureLogging(signalR.LogLevel.Information)
                    .build();
                var self = this;
                this.connection.on("ReceiveAlert",
                    function (productionLineId, alert) {
                        if (self.factories.selected == 4) {
                            document.getElementById("audio-27-calle").play();

                        } else {
                            document.getElementById("audio").play();

                        }
                        var items = self.layout.filter(function(item) {
                            return item.id === productionLineId;
                        });
                        for (var i = 0; i < items.length; i++) {
                            items[i].alert = alert;
                            items[i].isNew = true;
                        }
                    });
                this.connection.onclose(function() {
                    ConnectionEventBus.$emit("disconnected");
                });
                this.connection.on("RemoveAlert",
                    function(productionLineId) {
                        var items = self.layout.filter(function(item) {
                            return item.id === productionLineId;
                        });
                        for (var i = 0; i < items.length; i++) {
                            items[i].alert = null;
                            items[i].isComplete = true;
                        }
                    });
                var self = this;
                this.connection.start().then(function() {
                    ConnectionEventBus.$emit("connected");
                    console.log(this);
                    console.log(self.factories);
                    console.log(self.process);
                    self.connection.invoke("AddToGroup", `${self.factories.selected}_${self.process.selected}`)
                        .catch(err => console.error(err.toString()));
                }).catch(function(err) {
                    console.log(err);
                });
                window.addEventListener("resize",
                    function() {
                        self.setLayoutDimension(self.layout.length);
                    });
            },
            getFactoryAndProcess() {
                axios
                    .get('/AndonWeb/GetFactoriesAndProcesses').then(response => {
                        this.process.data = response.data.processes;
                        this.factories.data = response.data.factories;
                    });
            },
            getReasonsAlert() {
                axios.get('/AndonWeb/getReasonAlerts').then((response) => {
                    this.reasonAlert.data = response.data;
                });
            },
            resetModal() {
                this.line.ProductionLineId = '';
                this.line.TypeId = '';
                this.line.Comment = '';
                this.editingLine.alert = '';
            },
            modal: function (item) {
                
                this.$refs.modal.open();
                this.line.ProductionLineId = item.id;
                this.editingLine.name = item.name;
                this.editingLine.building = item.building;
                this.editingLine.operator = item.operator;
                if (item.alert !== null) {
                    this.editingLine.alert = item.alert.andonAlertTypeId;
                    this.alertId.alert = item.alert.id;
                }
            },
            alertLine(type) {
                var self = this;
                var reason = this.reasonAlert.data.find(x => x.name == self.line.Comment);
                if(reason) this.line.Comment = reason.code;
                this.line.TypeId = type;
                axios.post('/AndonWeb/CreateAlert', this.line).then(response => {
                    console.log(response);
                    this.$refs.modal.close();
                    self.alertId.alert = '';
                    self.editingLine.alert = '';
                });
            },
            completeAlert() {
                var self = this;
                axios.get('/AndonWeb/RemoveAlert',
                    {
                        params: {
                            id: this.alertId.alert
                        }
                    }).then(response => {
                    this.$refs.modal.close();
                    self.editingLine.alert = '';
                });
            },
            click: function() {
                alert('clicked');
            },
            tryConnect: function() {
                console.log("trying to connect");
                var self = this;
                this.connection.start().then(function() {
                    ConnectionEventBus.$emit("connected");
                    self.getProductionLines();
                }).catch(function(err) {
                });
            },
            setLayoutDimension: function(dataLength) {
                var nCol = Math.ceil(Math.sqrt(dataLength));
                var side = (window.innerHeight - 400) / Math.ceil(dataLength / nCol);
                this.nCols = nCol;
                this.side = side;
            },
            getProductionLines: function() {
                var self = this;
                self.buildings = [];
                axios
                    .get('/Andonweb/ProductionLines',
                        {
                            params: {
                                FactoryId: this.factories.selected,
                                ProcessId: this.process.selected
                            }
                        })
                    .then(function(response) {
                        self.loading = false;
                        self.setLayoutDimension(response.data.length);
                        var col = 0;
                        var row = 0;
                        var data = response.data.map(function(item, i) {
                            item.x = col;
                            item.y = row;
                            item.w = 1;
                            item.h = 1;
                            item.i = i;
                            item.isNew = false;
                            item.isComplete = false;
                            item.name = item.name.replace('EB-', '');
                            item.name = item.name.replace('27C-', '');
                            if (col === self.nCols - 1) {
                                row++;
                                col = 0;
                            } else {
                                col++;
                            }

                            return item;
                        });

                        self.buildings = response.data.map(function(item) {
                            return item.building;
                        }).filter(function(val, i, self) {
                            return self.indexOf(val) === i;
                        });
                        console.log(self.buildings);
                        if (self.layout.length !== 0) {
                            var newAlerts = false;
                            for (var i = 0; i < self.layout.length; i++) {
                                var items = data.filter(function(item) {
                                    return item.id === self.layout[i].id;
                                });
                                for (var j = 0; j < items.length; j++) {
                                    if (!items[j].alert && self.layout[i].alert) {
                                        //deleted
                                        self.layout[i].isComplete = true;
                                    }
                                    if (items[j].alert && !self.layout[i].alert) {
                                        //created
                                        self.layout[i].isNew = true;
                                        newAlerts = true;
                                    }
                                    self.layout[i].alert = items[j].alert;
                                }
                            }
                        } else {
                            self.layout = data;
                        }

                        if (newAlerts) {
                            document.getElementById("audio").play();
                        }
                    });
            },
            getColor: function(name) {
                var code = name.split("").reduce(function(a, b) {
                        return a + b.charCodeAt(0) * name.length;
                    },
                    0);
                return colors[code % colors.length];
            },
            style: function (item) {
                var self = this;
                var classNew = (item.building == 'EB-P01') ? 'pl-one' : 'pl-three';
                if (item.isNew) {
                    classNew += " blink ";
                    setTimeout(function() {
                            item.isNew = false;
                        },
                        5000);
                }
                if (item.alert) {
                    if (item.alert.andonAlertTypeId === 1) {
                        return classNew + " pl-alert";

                    } else if (item.alert.andonAlertTypeId === 2) {
                        return classNew + " pl-warning";
                    }
                    else if (item.alert.andonAlertTypeId === 3) {
                        return classNew + " pl-workless";
                    } 
                } else if (item.isComplete) {
                    setTimeout(function() {
                            item.isComplete = false;
                        },
                        8000);
                    return classNew + " blink";
                }
                return classNew;
            },
            startTransition: function() {
                var self = this;
                this.timer = setInterval(() => {
                        (self.flag == false) ? self.flag = true : self.flag = false;
                    },
                    5000
                );
            }
        }
    });
</script>
<script src="https://ajax.googleapis.com/ajax/libs/webfont/1.6.16/webfont.js"></script>
<script>
    WebFont.load({
        google: { "families": ["Poppins:300,400,500,600,700", "Roboto:300,400,500,600,700"] },
        active: function() {
            sessionStorage.fonts = true;
        }
    });

    function funError(message) {
        swal({
            title: "Error",
            text: message,
            type: "error"
        });
    }
</script>
</body>
</html>